Page MenuHomePhabricator

1.32.0-wmf.6 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.32.0-wmf.6
Release Date
1527465600
Related Gerrit Patches:
operations/mediawiki-config : masterAll wikis to 1.32.0-wmf.6
operations/mediawiki-config : masterGroup1 to 1.32.0-wmf.6
operations/mediawiki-config : masterGroup0 to 1.32.0-wmf.6

2018 week 22 1.32-wmf.6 Changes wmf/1.32.0-wmf.6

This MediaWiki Train Deployment is scheduled for the week of Monday, May 28th:

Monday May 28thTuesday, May 29thWednesday, May 30thThursday, May 31stFriday
SWAT deployments only.Branch wmf.6 and deploy to Group 0 Wikis.Deploy wmf.6 to Group 1 Wikis.Deploy wmf.6 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.6 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.32.0-wmf.5
Next: 1.32.0-wmf.7

Event Timeline

greg created this task.Mar 29 2018, 6:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 29 2018, 6:08 PM
greg triaged this task as Medium priority.Mar 29 2018, 6:16 PM
mmodell assigned this task to thcipriani.May 7 2018, 4:17 PM

Change 436352 had a related patch set uploaded (by Thcipriani; owner: Thcipriani):
[operations/mediawiki-config@master] Group0 to 1.32.0-wmf.6 ref T191052

https://gerrit.wikimedia.org/r/436352

Change 436352 had a related patch set uploaded (by Thcipriani; owner: Thcipriani):
[operations/mediawiki-config@master] Group0 to 1.32.0-wmf.6

https://gerrit.wikimedia.org/r/436352

Change 436352 merged by jenkins-bot:
[operations/mediawiki-config@master] Group0 to 1.32.0-wmf.6

https://gerrit.wikimedia.org/r/436352

Change 436409 had a related patch set uploaded (by Thcipriani; owner: Thcipriani):
[operations/mediawiki-config@master] Group1 to 1.32.0-wmf.6

https://gerrit.wikimedia.org/r/436409

Change 436409 merged by jenkins-bot:
[operations/mediawiki-config@master] Group1 to 1.32.0-wmf.6

https://gerrit.wikimedia.org/r/436409

Change 436618 had a related patch set uploaded (by Thcipriani; owner: Thcipriani):
[operations/mediawiki-config@master] All wikis to 1.32.0-wmf.6

https://gerrit.wikimedia.org/r/436618

Change 436618 merged by jenkins-bot:
[operations/mediawiki-config@master] All wikis to 1.32.0-wmf.6

https://gerrit.wikimedia.org/r/436618

thcipriani closed this task as Resolved.Jun 5 2018, 3:57 PM